Page MenuHomePhabricator

Restricted content from Flickr needs authorization
Open, NormalPublic

Description

Author: russavia.wikipedia

Description:
I am trying to upload this set of photos onto Commons -- http://www.flickr.com/photos/evarinaldiphotography/sets/72157629245709014 -- it is marked as moderate on Flickr due to nudity, etc. When I try to upload it, the upload wizard tells me "Unfortunately, no photo in the photoset has a license appropriate to be used on this site." This is patently not correct. Because when I upload a single photo from the set, it works perfectly, as per -- http://commons.wikimedia.org/wiki/File:Pricasso-1.jpg

Can we please get this fixed at the earliest opportunity.


Version: unspecified
Severity: normal

Details

Reference
bz43593

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:17 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz43593.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 2 2013, 7:10 PM

As of now Upload Wizard will only check for the licenses of the first 50 images from flickr, if none of these are valid licenses it shows the error "Unfortunately, no photo in the photoset has a license appropriate to be used on this site."

However, this is not related to your report ;) You are trying to upload an invalid photoset

http://api.flickr.com/services/rest/?nojsoncallback=1&method=flickr.photosets.getPhotos&photoset_id=72157629245709014&format=json&api_key=...

returns

{"stat":"fail", "code":1, "message":"Photoset not found"}

The error therefore is that you should be notified that it is an invalid link or 'Photoset not found'. But that is a different bug.

Closing this and opened https://bugzilla.wikimedia.org/show_bug.cgi?id=44336

Reopening. The photoset is valid.

I just did a super-quick search, but looks like Flickr API lies about photosets not found and one needs to authenticate. https://twitter.com/retlehs/status/114068616357494785

Cc'ing Kaldari as he was involved with the Flickr project and might have ideas.

I suppose the ultimate solution to this bug would be to show some sort of dialog box in this case that allowed the user to enter their Flickr credentials and authenticate.

The less ambitious solution would be to show an error like: "This photoset is restricted."

Considering that we have many other higher priority UploadWizard bugs, I would favor the 2nd solution.

I don't understand, UploadWizard uses an api key that is not authorised to see restricted content?

I'm not sure. I guess someone would need to do some experimentation and see if the ability to access restricted photosets via the API is related to some account setting of the owner's account.

I looked at the API account's settings and the only setting related to content filtering was the 'SafeSearch' setting which is set to OFF.

I think they just don't want to make restricted photosets available through the non-authenticated API, as the reason they are restricted is because the owner has failed to properly moderate the content in their account, so that means that 3rd party users can't depend on the moderation settings. This would be potentially embarrassing for people creating public Flickr applications with the API.

And to clarify, the way we are currently using the API is non-authenticated. We just pass a key that identifies the application (and application owner). Since all of our API interaction is on the client-side, we can't do authentication without exposing the username and password to the client (which would be fine if we let people authenticate themselves, although this would require that they actually have a Flickr account).

Here's some more information on Flickr's content filter system: https://www.flickr.com/help/filters/#252

I'm assuming that it's restricting the photoset due to the owner's account having the 'unsafe' flag (rather than the photos in the set being marked as 'restricted'), since it still allows access to the individual photos.

Given how generic the Flickr API error is, I'm not even sure there is a way for us to differentiate between restricted photosets and invalid photosets (without authenticating). So we may not be able to do any better than Nischay's solution in bug 44336.

(In reply to comment #5)

I don't understand, UploadWizard uses an api key that is not authorised to
see restricted content?

I think it makes perfect sense. Some photos can be private and should only be used elsewhere after the user's logging into flickr.

I think for now we should go with a simple solution- "Invalid or restricted photoset".

We can try pinging Flickr also, maybe its a bug that it displays the same error for unrestricted content.

And then in the distant future use a dialog for authentication as Ryan suggested. I guess there should be an implementation we can reuse rather than coding from scratch.

Using an "Invalid or restricted photoset" error sounds like a good solution for now. I'll see if I can get back in touch with the folks at Flickr and see if they have any suggestions.

Made a change for this - https://gerrit.wikimedia.org/r/#/c/53946/

Also note that we should be able to *exactly* know that the photoset is restricted and not invalid before showing a login popup to the user.. so this has to be delayed.

https://gerrit.wikimedia.org/r/53946 (Gerrit Change Id906ae3f205ed4742e2e03cc1faa49171e5d47c9) | change APPROVED and MERGED [by jenkins-bot]

The change is merged but as already discussed is not the complete fix for this bug so not marking fixed.

Kaldari, just wanted to remind you to poke guys at Flickr about this :)

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:39 PM